/**
   JWindowsScheduler - Java access library for the windows task scheduler
   Copyright (C) 2002 Steffen Siebert <siebert@SteffenSiebert.de>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package de.steffensiebert.jwindowsscheduler;

public class WindowsTaskTriggerWeekly extends WindowsTaskTrigger {
  public String toString() {
    StringBuffer days = new StringBuffer();
    if ((rgfDaysOfTheWeek & TASK_SUNDAY) > 0) {
      days.append("Sunday ");
    };
    if ((rgfDaysOfTheWeek & TASK_MONDAY) > 0) {
      days.append("Monday ");
    }
    if ((rgfDaysOfTheWeek & TASK_TUESDAY) > 0) {
      days.append("Tuesday ");
    }
    if ((rgfDaysOfTheWeek & TASK_WEDNESDAY) > 0) {
      days.append("Wednesday ");
    }
    if ((rgfDaysOfTheWeek & TASK_THURSDAY) > 0) {
      days.append("Thursday ");
    }
    if ((rgfDaysOfTheWeek & TASK_FRIDAY) > 0) {
      days.append("Friday ");
    }
    if ((rgfDaysOfTheWeek & TASK_SATURDAY) > 0) {
      days.append("Saturday ");
    }
    return "Weekly: "+beginDay+"."+beginMonth+"."+beginYear+" "+startHour+":"+startMinute+" "+weeksInterval+" Days Interval on "+days;
  }
}
